Package com.zfabrik.impl.synchronization

## Class HomeSynchronizer

- java.lang.Object
- - com.zfabrik.impl.synchronization.HomeSynchronizer

- All Implemented Interfaces:
    `com.zfabrik.util.sync.ISynchronizer`, `java.lang.Runnable`

      public class HomeSynchronizer
      extends java.lang.Object
      implements com.zfabrik.util.sync.ISynchronizer, java.lang.Runnable

  The main synchronizer makes sure that the home process attains its target states initially and at the end of any synchronization

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `STATE_HOME_UP` | Hard coded system state that the home process will always attempt to attain first

    - ### Fields inherited from interface com.zfabrik.util.sync.ISynchronizer

      `PRIO, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HomeSynchronizer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `complete​(com.zfabrik.util.sync.ISynchronization sync)` | synchronizers implement this method to re-establish any desired system state after all invalidations have been performed.
    `void` | `preInvalidation​(com.zfabrik.util.sync.ISynchronization sync)` | synchronizers implement this method to collect the set of components to invalidate and log messages to the end user.
    `void` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATE_HOME_UP

          public static final java.lang.String STATE_HOME_UP

      Hard coded system state that the home process will always attempt to attain first
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HomeSynchronizer

          public HomeSynchronizer()

  - ### Method Detail

    - #### preInvalidation

          public void preInvalidation​(com.zfabrik.util.sync.ISynchronization sync)

      Description copied from interface: `com.zfabrik.util.sync.ISynchronizer`
      synchronizers implement this method to collect the set of components to invalidate and log messages to the end user.
      Specified by:
        `preInvalidation` in interface `com.zfabrik.util.sync.ISynchronizer`

    - #### complete

          public void complete​(com.zfabrik.util.sync.ISynchronization sync)

      Description copied from interface: `com.zfabrik.util.sync.ISynchronizer`
      synchronizers implement this method to re-establish any desired system state after all invalidations have been performed. Note that the set of synchronizer in this call may be different to before, due to new system content.
      Specified by:
        `complete` in interface `com.zfabrik.util.sync.ISynchronizer`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`